package agilpizza.modelo.pizza;

import java.util.HashMap;
import java.util.Map;

/**
 * Implementa o padrao 'singleton' para acesso aos dados. Toda a aplicacao
 * enxerga um unico 'modelo', que pode ser entendido como um banco de dados.
 * 
 * @author verao02
 * 
 */
public class EnderecoClienteDAO {
	private EnderecoClienteDAO() {
		enderecosClientes = new HashMap<String, Endereco>();
	}
	private static EnderecoClienteDAO enderecoDao = new EnderecoClienteDAO();

	public static EnderecoClienteDAO getInstanciaUnica() {
		return enderecoDao;
	}
	private Map<String, Endereco> enderecosClientes;

	public void setEndereco(Endereco e) {
		String telefone = e.getTelefone();
		enderecosClientes.put(telefone, e);
	}

	public Endereco getEndereco(String telefone) {
		return enderecosClientes.get(telefone);
	}
}
